summaryrefslogtreecommitdiffstats
path: root/libraries/t4k_common
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2011-02-20 13:45:00 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-02-20 13:45:00 -0300
commit63dd3ff986cd128cdbc1b042c8e4a6662e42c9f7 (patch)
treec7d4a71a8d04e541ac7ca1599e9ff4436cf044fa /libraries/t4k_common
parent0f8417c6a499232a7dad1e54d2bf9597ac722bf5 (diff)
downloadslackbuilds-63dd3ff986cd128cdbc1b042c8e4a6662e42c9f7.tar.gz
slackbuilds-63dd3ff986cd128cdbc1b042c8e4a6662e42c9f7.tar.xz
libraries/t4k_common: Added (tux4kids code library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries/t4k_common')
-rw-r--r--libraries/t4k_common/README3
-rw-r--r--libraries/t4k_common/slack-desc19
-rw-r--r--libraries/t4k_common/t4k_common.SlackBuild79
-rw-r--r--libraries/t4k_common/t4k_common.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/t4k_common/README b/libraries/t4k_common/README
new file mode 100644
index 0000000000..d935d54c97
--- /dev/null
+++ b/libraries/t4k_common/README
@@ -0,0 +1,3 @@
+t4k_common is a library of code shared between tuxmath and tuxtype.
+
+t4k_common requires SDL_Pango.
diff --git a/libraries/t4k_common/slack-desc b/libraries/t4k_common/slack-desc
new file mode 100644
index 0000000000..629137ca40
--- /dev/null
+++ b/libraries/t4k_common/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+t4k_common: t4k_common (tux4kids code library)
+t4k_common:
+t4k_common: t4k_common is a library of code shared between tuxmath and tuxtype.
+t4k_common:
+t4k_common: Homepage: http://tux4kids.alioth.debian.org/
+t4k_common:
+t4k_common:
+t4k_common:
+t4k_common:
+t4k_common:
+t4k_common:
diff --git a/libraries/t4k_common/t4k_common.SlackBuild b/libraries/t4k_common/t4k_common.SlackBuild
new file mode 100644
index 0000000000..8df85fa90e
--- /dev/null
+++ b/libraries/t4k_common/t4k_common.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for t4k_common
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=t4k_common
+VERSION=${VERSION:-0.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/t4k_common/t4k_common.info b/libraries/t4k_common/t4k_common.info
new file mode 100644
index 0000000000..dc360f6a23
--- /dev/null
+++ b/libraries/t4k_common/t4k_common.info
@@ -0,0 +1,10 @@
+PRGNAM="t4k_common"
+VERSION="0.0.3"
+HOMEPAGE="http://tux4kids.alioth.debian.org/"
+DOWNLOAD="http://alioth.debian.org/frs/download.php/3439/t4k_common-0.0.3.tar.gz"
+MD5SUM="28ad0818aa79d701fd33019e756340f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="Niels Horn"